cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class PIN_I07

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RQI_I01_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.PIN_I07

-     public final class PIN_I07
      extends RQI_I01_Common

  PIN_I07 - Unsolicited Insurance Information (Event I07). This message is use by an entity or organization to transmit the insurance information on a specific patient to a healthcare provider. Typically, the healthcare provider will be a primary care provider.

  Represents a PIN_I07 message structure (see chapter 11.3.7). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PROVIDER (a Group in RQI_I01 message) MULTIPLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  6: GUARANTOR_INSURANCE (a Group in RQI_I01 message) SINGLE_OPTIONAL
  7: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  PIN_I07 objI07 = (PIN_I07)MessageFactory.createInstance().createSendSupportedMessage("PIN", "I07");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RQI_I01_Common

      `addNextOfKinSegment, addNextOfKinSegments, addNotesAndCommentsSegment, addNotesAndCommentsSegments, addProviderGroup, addProviderGroups, addSoftwareSegment, addSoftwareSegment, getGuarantorInsuranceGroup, getNextOfKinSegments, getNotesAndCommentsSegments, getPatientIdentificationSegment, getProviderGroups, getSoftwareSegments, getUserAuthenticationCredentialSegment, setGuarantorInsuranceGroup, setPatientIdentificationSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`